CORAL(1)

NAME
coral - a general-purpose modelling tool

SYNOPSIS
coral [ -h | --help | --version | filename... ]

DESCRIPTION
Coral is a general-purpose modelling tool with Python bindings. It supports XMI 1.x and 2.0 input/output and Poseidon .zuml input. It has support for the OMG UML 1.4 metamodel. New metamodels can be created using the SMD metamodel.

Any filenames given on the command line are loaded into coral.

The installation path of Coral for other Python programs can be retrieved with 'pkg-config --variable=pythonpath coral'.

CURRENT STATE
Coral is continuously under development. Visit http://mde.abo.fi/ for more information.

OPTIONS

-h, --help
    Display short usage information

--version
    Display the version number of Coral

ENVIRONMENT

CORALPATH
    The environment variable CORALPATH can be seen as the modelling equivalent to PYTHONPATH in Python, or the include path in a C compiler. Cross-linking XMI files uses CORALPATH to determine what prefix should be stripped from filenames to produce filenames suitable for XML "href" attributes. Please note this probably contains bugs as cross-linking XMI files is quite rare.

CORALDEBUG
    The environment variable CORALDEBUG defines what logmessages are displayed on standard log output. It can take values all, debug, info, warning, error, critical or none. For any given level, only messages of that loglevel or higher are displayed. For all, Coral outputs as much debug information as possible. For none, Coral outputs no debug information at all. Currently it defaults to "all".

BUGS
Please report any bugs you find to coral-users@abo.fi.

LICENSE
Coral is covered by the GNU General Public License (GPL) version 2.

AUTHORS
See the file AUTHORS for a list of authors.

COPYRIGHT
Copyright (c) 2003,2004 Ivan Porres, Marcus Alanen